<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.InstructionBookMapper">

  <resultMap id="instructionBookMap" type="digital.laboratory.platform.reagent.entity.InstructionBook">
    <id property="instructionBookId" column="instruction_book_id"/>
    <result property="auditOpinionOfTechnical" column="audit_opinion_of_technical"/>
    <result property="auditResultOfTechnical" column="audit_result_of_technical"/>
    <result property="auditTimeOfTechnical" column="audit_time_of_technical"/>
    <result property="commitStatus" column="commit_status"/>
    <result property="instructionBook" column="instruction_book"/>
    <result property="makerId" column="maker_id"/>
    <result property="referenceMaterialId" column="reference_material_id"/>
    <result property="setTime" column="set_time"/>
    <result property="technicalDirectorId" column="technical_director_id"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>

  </resultMap>
</mapper>
